mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true) To be added.

Represents advanced options for creating a object.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.FileOptions

  Indicates that a file can be used for asynchronous reading and writing.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.FileOptions

  Indicates that a file is automatically deleted when it is no longer in use.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.FileOptions

  Indicates that a file is encrypted and can be decrypted only by using the same user account used for encryption.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.FileOptions

  Indicates that no additional options should be used when creating a object.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.FileOptions

  Indicates that the file is accessed randomly. The system can use this as a hint to optimize file caching.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.FileOptions

  Specifying this flag can increase performance for applications that read large files using sequential access. Performance gains can be even more noticeable for applications that read large files mostly sequentially, but occasionally skip over small ranges of bytes.

  Indicates that the file is to be accessed sequentially from beginning to end. The system can use this as a hint to optimize file caching. If an application moves the file pointer for random access, optimum caching may not occur; however, correct operation is still guaranteed.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.FileOptions

  Indicates that the system should write through any intermediate cache and go directly to disk.